Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155909 - pkgorder goes into loop
Summary: pkgorder goes into loop
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-25 17:07 UTC by Fang Yuan
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-20 18:51:40 UTC


Attachments (Terms of Use)
output of `find $RHROOT` (deleted)
2005-04-26 19:18 UTC, Fang Yuan
no flags Details

Description Fang Yuan 2005-04-25 17:07:51 UTC
Description of problem:
When we ran pkgorder python script to sort/tag the packages before we ran 
genhdlist, it went into a dependency loop.

Version-Release number of selected component (if applicable):
anaconda-runtime-10.1.1.13-1

How reproducible:
According to the steps list in http://people.redhat.com/rkeech/custom-distro.txt
We successfully did it for RHEL3.0AS and RHEL3.0ES, but failed on 4.0 AS/ES

Steps to Reproduce:
1.export PYTHONPATH=/usr/lib/anaconda
2.export PATH=$PATH:/usr/lib/anaconda-runtime
3.pkgorder $RHROOT i386 > $RHROOT/pkgorder-i386.txt
(RHROOT is the root path of the CDs)
  
Actual results:
warning: ignore package name relation(s) [0]    pango-gtkbeta-devel -> pango-
gtkbeta
warning: ignore package name relation(s) [1]    XFree86 -> Mesa
warning: ignore package name relation(s) [2]    xorg-x11 -> Mesa
...
warning: ignore package name relation(s) [50]   gtk+ -> gdk-pixbuf
warning: ignore package name relation(s) [51]   nautilus -> nautilus-cd-burner
warning: LOOP:
warning: removing cracklib-dicts-2.7-29 "Requires(auto): libcrack.so.2" from 
tsort relations.
warning:     cracklib-dicts-2.7-29                    Requires(auto): 
libcrack.so.2
warning: removing cracklib-2.7-29 "Requires: cracklib-dicts@i386 = 2.7-29" from 
tsort relations.
warning:     cracklib-2.7-29                          Requires: cracklib-
dicts@i386 = 2.7-29
warning: LOOP:
warning:     mkinitrd-4.1.18-2                        PreReq: dev
warning:     udev-039-10.8.EL4                        PreReq: lvm2
warning: removing lvm2-2.00.31-1.0.RHEL4 "Requires: kernel >= 2.6" from tsort 
relations.
warning:     lvm2-2.00.31-1.0.RHEL4                   Requires: kernel >= 2.6
warning:     kernel-2.6.9-5.0.3.EL                    PreReq: initscripts >= 
5.83
warning: removing initscripts-7.93.11.EL-1 "Requires: /sbin/nash" from tsort 
relations.
warning:     initscripts-7.93.11.EL-1                 Requires: /sbin/nash


Expected results:

None

Additional info:

pkgorder is the first step to make customised CDs, as well as kickstart network 
installation depot, the following steps are :

Genhdlist. Run the command:

	genhdlist --fileorder $RHROOT/pkgorder-i386.txt $RHROOT

Buildinstall.  Run the command:

	buildinstall    --comp dist-3.0 --pkgorder $RHROOT/pkgorder-i386.txt \
			--release "RHEL3ESU3 custom" --product "RHEL3ESU3 
custom" --version 3.0 \
			$RHROOT

Comment 2 Mike McLean 2005-04-25 20:54:59 UTC
Yuan< I recieved your email.  In future, please note that comments relating to
bugs should go through bugzilla (http://bugzilla.redhat.com/ ) and not to me
directly. 

These warnings are not failures and are generated by rpm, not pkgorder.  They
should go to stderr, so you can filter them with 2>/dev/null.  Alternately, you
can use the --file option to have pkgorder write the order directly to a file of
your choosing.

Comment 3 Fang Yuan 2005-04-25 21:18:04 UTC
Yes, I know those are warnings (even lower cases), but we had pkgorder program  
running for more than 5 hours.  For RHEL3AS/ES, it only takes 10 mins.

I did the "wc -l" of the output file, it didn't grow after 842 packages.


Comment 4 Fang Yuan 2005-04-25 21:35:23 UTC
Yes, I know those are warnings (even lower cases), but we had pkgorder program  
running for more than 5 hours.  For RHEL3AS/ES, it only takes 10 mins.

I did the "wc -l" of the output file, it didn't grow after 842 packages.


Comment 5 Paul Nasrat 2005-04-26 14:05:07 UTC
Have you cut down the packages from the standard RHEL 4 at all?  Please attach
the directory listing of your tree as a text attacment:

find $RHROOT

Comment 6 Fang Yuan 2005-04-26 19:18:08 UTC
Created attachment 113684 [details]
output of `find $RHROOT`

Comment 7 Fang Yuan 2005-04-26 19:34:11 UTC
You could see we included all packages (1396 rpms from the original CDs).  We 
will use $RHROOT as NFS root during kickstart network installation.

Comment 8 Fang Yuan 2005-05-03 14:10:20 UTC
Actually, we noticed that after 88 times loop, the pkgorder and buildinstall 
finished successfully.  So, case could be closed.

Comment 9 Chris Lumens 2005-10-20 18:51:40 UTC
Closing as NOTABUG based on comment #8.  Feel free to reopen if you experience
this problem again.


Note You need to log in before you can comment on or make changes to this bug.